<template>
  <q-page class="flex flex-center">
    <div class="welcome">
      <div class="title">
        Welkom
      </div>
      <div class="subtitle">
        Waar wilt u heen?
      </div>

      <br />
      <br />

      <div class="cardContainer">
        <q-card
          class="my-card text-white floorPlan"
          @click="$router.push({name: 'hospital'})"
        >
          <q-card-section>
            <div class="text-h6">Floor Intensive Care</div>
            <div class="text-subtitle2">Statisch overzicht van de kamers</div>
          </q-card-section>
        </q-card>

        <q-card
          class="my-card text-white rooms"
          @click="$router.push({name: 'rooms', params: { deptId: 0 }})"
        >
          <q-card-section>
            <div class="text-h6">Kamers</div>
            <div class="text-subtitle2">Lijstweergave van alle kamers</div>
          </q-card-section>
        </q-card>
      </div>
      <div class="flex flex-center">
        <q-item-label header> Enable Dark Mode ?</q-item-label>
        <q-toggle
          v-model="darkMode"
          checked-icon="fas fa-moon"
          unchecked-icon="fas fa-sun"
          color="dark"
          @input="darkMode ? $q.dark.set(true) : $q.dark.set(false)"
        />
      </div>
    </div>
  </q-page>
</template>

<script>
export default {
  name: 'PageIndex',
  data: () => ({
    darkMode: false
  })
}
</script>

<style lang="scss" scoped>
.welcome {
  > .title {
    font-family: "Roboto", serif;
    font-size: 72px;
  }
  > .subtitle {
    font-family: "Roboto", serif;
    font-size: 24px;
    padding-left: 20px;
  }

  > .cardContainer {
    display: flex;
    flex-direction: row;

    > .my-card {
      margin: 10px;

      &:hover {
        cursor: pointer;
      }
    }

    > .floorPlan {
      background: #314755;
      background: -webkit-linear-gradient(to right, #26a0da, #314755);
      background: linear-gradient(to right, #26a0da, #314755);
    }
    > .rooms {
      background: #485563;
      background: -webkit-linear-gradient(to right, #29323c, #485563);
      background: linear-gradient(to right, #29323c, #485563);
    }
  }
}
</style>
